#ifndef MATH_UTILS_H
#define MATH_UTILS_H

#include "aliases.h"

#define square(x) (x * x)
#define absolute(x) (x < 0.0 ? x * -1.0 : x)

i32 min(i32 a, i32 b);
i32 max(i32 a, i32 b);
f64 radians(f64 degrees);
f64 degrees(f64 radians);

#endif // !MATH_UTILS_H
